Bug 910388 (kpat)

Summary: Review Request: kpat - A selection of solitaire card games
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: kevin, ltinkl, notting, package-review, tchollingsworth, than
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-14 16:24:46 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 09:21:21 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kpat.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kpat-4.10.0-1.fc18.src.rpm
Description: A selection of solitaire card games
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-12 14:09:32 EST
*** Bug 910522 has been marked as a duplicate of this bug. ***
Comment 2 T.C. Hollingsworth 2013-02-14 11:42:24 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

===== TODO Post-Review ====

[!]: Look into non-blocker rpmlint warnings.

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[!]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files directly in %_libdir.

Library has no SONAME; ignoring.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/910388-kpat/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: kpat-debuginfo-4.10.0-1.fc19.x86_64.rpm
          kpat-4.10.0-1.fc19.src.rpm
          kpat-4.10.0-1.fc19.x86_64.rpm
kpat.x86_64: E: invalid-soname /usr/lib64/libkcardgame.so libkcardgame.so
kpat.x86_64: W: no-manual-page-for-binary kpat
3 packages and 0 specfiles checked; 1 errors, 1 warnings.



Rpmlint (installed packages)
----------------------------
# rpmlint kpat kpat-debuginfo
kpat.x86_64: E: invalid-soname /usr/lib64/libkcardgame.so libkcardgame.so
kpat.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkcardgame.so /lib64/libkdegames.so.6
kpat.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkcardgame.so /lib64/libQtDBus.so.4
kpat.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkcardgame.so /lib64/libpthread.so.0
kpat.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkcardgame.so /lib64/libgcc_s.so.1
kpat.x86_64: W: no-manual-page-for-binary kpat
2 packages and 0 specfiles checked; 1 errors, 5 warnings.
# echo 'rpmlint-done:'

No blockers, but see:
https://fedoraproject.org/wiki/Common_Rpmlint_issues#invalid-soname
https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

Requires
--------
kpat-debuginfo-4.10.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

kpat-4.10.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkcardgame.so()(64bit)
    libkdecore.so.5()(64bit)
    libkdegames(x86-64) >= 4.10.00
    libkdegames.so.6()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libknewstuff3.so.4()(64bit)
    libm.so.6()(64bit)
    libphonon.so.4()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

OK

Provides
--------
kpat-debuginfo-4.10.0-1.fc19.x86_64.rpm:
    
    kpat-debuginfo = 4.10.0-1.fc19
    kpat-debuginfo(x86-64) = 4.10.0-1.fc19

kpat-4.10.0-1.fc19.x86_64.rpm:
    
    kpat = 4.10.0-1.fc19
    kpat(x86-64) = 4.10.0-1.fc19
    libkcardgame.so()(64bit)
    mimehandler(application/vnd.kde.kpatience.savedstate)

OK

Unversioned so-files
--------------------
kpat-4.10.0-1.fc19.x86_64.rpm: /usr/lib64/libkcardgame.so

MD5-sum check
-------------
http://download.kde.org/stable/4.10.0/src/kpat-4.10.0.tar.xz :
  CHECKSUM(SHA256) this package     : 33c0b8413adbfcba1b207e82200b4aecb45c310c149bc9af14861bb2f05d70b5
  CHECKSUM(SHA256) upstream package : 33c0b8413adbfcba1b207e82200b4aecb45c310c149bc9af14861bb2f05d70b5

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b910388
Comment 3 Rex Dieter 2013-02-14 13:55:27 EST
thanks!

New Package SCM Request
=======================
Package Name: kpat
Short Description: A selection of solitaire card games
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 4 Jon Ciesla 2013-02-14 14:01:17 EST
Git done (by process-git-requests).
Comment 5 Rex Dieter 2013-02-14 16:24:46 EST
imported, thanks.